com.aliyun.svideosdk.mixrecorder

## Interface AliyunIMixRecorder

-     public interface AliyunIMixRecorder

  视频合拍接口

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addImage(EffectImage effctImage)` Deprecated. v3.27.0 废弃，请使用`getPasterManager()`代替
    `int` | `addPaster(EffectPaster effectPaster)` Deprecated. v3.27.0 废弃，请使用`getPasterManager()`代替
    `int` | `addPaster(EffectPaster effectPaster, float sx, float sy, float sw, float sh, float rotation, boolean flip)` Deprecated. v3.27.0 废弃，请使用`getPasterManager()`代替
    `int` | `applyAnimationFilter(EffectFilter effectFilter)` 设置动效滤镜，将滤镜资源的目录填入到`EffectFilter`中，或者通过`EffectFilter.Builder`来 构建
    `int` | `applyFilter(EffectFilter effectFilter)` 设置滤镜效果
    `int` | `cancelFinishing()` 取消合成视频
    `int` | `deleteLastPart()` 删除上一个片段
    `int` | `finishRecording()` 结束录制合成视频
    `int` | `getBeautyLevel()` 获取当前美颜度
    `int` | `getCameraCount()` 获取摄像头数量
    `AliyunIClipManager` | `getClipManager()` 获取片段管理器，特别注意：如果要删除片段，不能用`AliyunIClipManager.deletePart()`等接口，而要用`deleteLastPart()`
    `float` | `getCurrentExposureCompensationRatio()` 获取当前曝光度的比例值
    `AliyunIRecordPasterManager` | `getPasterManager()` 获取贴图管理器
    `void` | `needFaceTrackInternal(boolean need)` 是否需要开启内置人脸识别
    `void` | `release()` 销毁并释放资源
    `void` | `removeAnimationFilter(EffectFilter effctFilter)` 删除动效滤镜
    `int` | `removeFilter()` v3.27.0 新增 移除滤镜效果
    `void` | `removeImage(EffectImage effctImage)` Deprecated. v3.27.0 废弃，请使用`getPasterManager()`代替
    `void` | `removePaster(EffectPaster effectPaster)` Deprecated. v3.27.0 废弃，请使用`getPasterManager()`代替
    `void` | `setBackgroundColor(int color)` 设置合成窗口非填充模式下的背景颜色 v3.19.0 新增
    `void` | `setBackgroundImage(Bitmap bitmap, int displayMode)` 设置合成窗口非填充模式下的背景图片,assets, resource文件可以使用这个接口 v3.19.0 新增
    `void` | `setBeautyLevel(int level)` 设置美颜度
    `void` | `setBeautyStatus(boolean on)` Deprecated. v3.27.0 废弃,请使用`setBeautyLevel(int)`代替
    `void` | `setCamera(CameraType camera)` 设置初始开启预览，摄像头类型，仅在第一次打开时生效，后面如果要切换摄像头使用`switchCamera()`
    `void` | `setCameraCaptureDataMode(int captureDataMode)` 设置Camera 数据回调方式
    `void` | `setCameraParam(CameraParam cameraParam)` 设置摄像头预览参数
    `int` | `setDisplayView(SurfaceView previewView, SurfaceView playView)` 设置显示预览的`SurfaceView`
    `int` | `setEffectView(float xRatio, float yRatio, float widthRatio, float heightRatio, EffectBase effectBase)` Deprecated. v3.27.0 废弃，请使用`getPasterManager()`代替
    `int` | `setExposureCompensationRatio(float value)` 设置曝光度比例
    `void` | `setFaceDetectRotation(int rotation)` 设置单独的人脸识别角度,如果使用本接口，请不要使用setRotation
    `int` | `setFaces(float[][] faces)` 设置人脸坐标点，而二维组每个元素，代表一张脸的6个特征点。
    `void` | `setFaceTrackInternalMaxFaceCount(int maxFaceCount)` 设置内置人脸识别的最大识别数，最大为3个，大于3个为3个
    `int` | `setFaceTrackInternalModelPath(java.lang.String path)` 设置人脸识别模型文件夹路径 这里必须是包含模型文件的目录路径，模型文件的文件名不能修改
    `void` | `setFocus(float xRatio, float yRatio)` 设置对焦点，仅当`setFocusMode(int)` 的参数为`CameraParam.FOCUS_MODE_AUTO`时有效
    `void` | `setFocusMode(int mode)` 设置聚焦模式
    `int` | `setGop(int gop)` Deprecated. v3.27.0 废弃,请使用`setMixMediaInfo(AliyunMixMediaInfoParam, MediaInfo)` 代替
    `void` | `setIsAutoClearClipVideos(boolean isAutoClear)` Added in v3.23.0, set whether to clear the clip video files, default is false
    `boolean` | `setLight(FlashType flashType)` 设置闪光灯模式
    `void` | `setMixAudioAecType(MixAudioAecType type)` 合拍开启回声消除 v3.23.0 新增
    `void` | `setMixAudioSource(MixAudioSourceType type)` 设置最终合成视频的音轨类型 v3.18.0新增
    `void` | `setMixAudioWeight(int originAudioWeight, int recorderAudioWeight)` v3.19.0 新增 设置混音时的音量大小，当`MixAudioSourceType.MIX` 生效
    `void` | `setMixedBorderParam(AliyunMixBorderParam param)` 设置被合拍视频的边框圆角参数 v3.21.0 新增
    `int` | `setMixMediaInfo(AliyunMixMediaInfoParam inputMediaInfo, MediaInfo outputInfo)` 设置合拍输入输出信息
    `void` | `setOnAudioCallback(OnAudioCallBack callback)` 回调pcm音频数据，音频数据的格式为单通道，16位，采样率为44.1khz，
    `void` | `setOnChoosePictureSizeCallBack(OnChoosePictureSizeCallback callback)` 设置拍照分辨率回调
    `void` | `setOnFaceDetectInfoListener(OnFaceDetectInfoListener listener)` 设置人脸检测信息变化的回调，当人脸检测信息发生改变时将触发 `OnFaceDetectInfoListener.onFaceInfoChange(FaceDetectInfo faceDetectInfo)`
    `void` | `setOnFrameCallback(OnFrameCallback callback)` 设置采集帧回调，每采集一帧数据都通过该回调返回帧数据
    `void` | `setOnRecordCallback(OnRecordCallback callback)`
    `void` | `setOnTextureIdCallback(OnTextureIdCallback callback)` 设置纹理ID回调
    `int` | `setOutputPath(java.lang.String path)` 设置输出文件路径
    `int` | `setRate(float rate)` 设置录制速率
    `void` | `setRecordBorderParam(AliyunMixBorderParam param)` 设置录制视频的边框圆角参数 v3.21.0 新增
    `void` | `setRecordRotation(int rotation)` 设置单独的录制视频角度,如果使用本接口，请不要使用setRotation 如果需要根据传感器角度来设置录制角度,需要加上计算
    `void` | `setRotation(int rotation)` 设置传感器的角度值，如果传感器返回的角度值不是0，90，180，270四个值中的，需要根据范围来确定
    `int` | `setVideoBitrate(int bitrate)` Deprecated. v3.27.0 废弃,请使用`setMixMediaInfo(AliyunMixMediaInfoParam, MediaInfo)`代替
    `void` | `setVideoQuality(VideoQuality quality)` Deprecated. v3.27.0 废弃, 请使用`setMixMediaInfo(AliyunMixMediaInfoParam, MediaInfo)` 代替
    `int` | `setZoom(float rate)` 设置摄像头缩放比例
    `int` | `startPreview()` 开启预览 注意：该方法建议在`Activity.onResume()`生命周期函数中调用
    `int` | `startRecording()` 开始录制
    `void` | `stopPreview()` 停止预览 注意：该方法建议在`Activity.onPause()`生命周期函数中调用
    `int` | `stopRecording()` 停止录制
    `int` | `switchCamera()` 切换摄像头
    `FlashType` | `switchLight()` 切换闪光灯
    `int` | `updateAnimationFilter(EffectFilter effectFilter)` 更新动效滤镜，将滤镜资源的目录填入到`EffectFilter`中，或者通过`EffectFilter.Builder`来 构建

- - ### Method Detail

    - #### getClipManager

          AliyunIClipManager getClipManager()

      获取片段管理器，特别注意：如果要删除片段，不能用`AliyunIClipManager.deletePart()`等接口，而要用`deleteLastPart()`
      Returns:
        片段管理器对象
      See Also:
        `AliyunIClipManager`

    - #### setOutputPath

          int setOutputPath(java.lang.String path)

      设置输出文件路径
      Parameters:
        `path` -

    - #### setVideoQuality

          @Deprecated
          void setVideoQuality(VideoQuality quality)

      Deprecated. v3.27.0 废弃, 请使用`setMixMediaInfo(AliyunMixMediaInfoParam, MediaInfo)` 代替
      设置视频质量，该接口影响的是生成视频的码率,
      Parameters:
        `quality` - 质量等级
      See Also:
        `VideoQuality`

    - #### setGop

          @Deprecated
          int setGop(int gop)

      Deprecated. v3.27.0 废弃,请使用`setMixMediaInfo(AliyunMixMediaInfoParam, MediaInfo)` 代替
      设置Gop大小，这里的gop单位是帧数，即两个I帧之间间隔多少帧，而实际上硬编码器内部是以时间为gop单位的，即两个I帧间隔多少秒，因此 实际输出视频的Gop是用该值除以编码帧率计算而出。举例编码帧率设置为25fps，该接口设置125，则实际视频的gop值是5秒，也就是5秒一个I帧。 如果设置的gop小于帧率值，则内部给到编码器的gop为1，如果大于25，则取整计算。
      Parameters:
        `gop` - 合法的区间[0,9000] 大于等于0，且小于等于9000 0的情况下，在有的手机上可以做到全I帧，而也有一些手机做不到全I帧
      Returns:
        `AliyunErrorCode.OK` --- 成功 `AliyunErrorCode.ERROR_INVALID_ARGUMENTS` --- 设置的值不在合法的区间内

    - #### setVideoBitrate

          @Deprecated
          int setVideoBitrate(int bitrate)

      Deprecated. v3.27.0 废弃,请使用`setMixMediaInfo(AliyunMixMediaInfoParam, MediaInfo)`代替
      视频码率，有效的码率值必须在[200, 20000]之间，即最小是200Kbps，最大是20Mbps 单位：kbps，如果超过当前分辨率的使用码率值，有的编码器 不会无限增加码率，比如720P的码率值4M应该就足够使用了，可能会出现设置10M码率，输出的视频码率依然只有4M左右，具体根据不同编码器行为而定。
      Parameters:
        `bitrate` -
      Returns:
        成功返回0，失败返回对应的 ErrorCode `AliyunErrorCode.ERROR_INVALID_ARGUMENTS` --设置了无效的码率值

    - #### setCamera

          void setCamera(CameraType camera)

      设置初始开启预览，摄像头类型，仅在第一次打开时生效，后面如果要切换摄像头使用`switchCamera()`
      Parameters:
        `camera` -
      See Also:
        `CameraType.BACK`, `CameraType.FRONT`

    - #### setDisplayView

          int setDisplayView(SurfaceView previewView,
                             SurfaceView playView)

      设置显示预览的`SurfaceView`
      Parameters:
        `previewView` - 摄像头预览view
        `playView` - 合拍视频播放view
      Returns:
        成功-`AliyunErrorCode.OK`， 失败-对应的错误码

    - #### setCameraCaptureDataMode

          void setCameraCaptureDataMode(int captureDataMode)

      设置Camera 数据回调方式
      Parameters:
        `captureDataMode` -
      See Also:
        `CameraCaptureDataMode`

    - #### startPreview

          int startPreview()

      开启预览 注意：该方法建议在`Activity.onResume()`生命周期函数中调用

    - #### stopPreview

          void stopPreview()

      停止预览 注意：该方法建议在`Activity.onPause()`生命周期函数中调用

    - #### addPaster

          @Deprecated
          int addPaster(EffectPaster effectPaster)

      Deprecated. v3.27.0 废弃，请使用`getPasterManager()`代替
      添加人脸动图，人脸动图与普通动图要严格区分，如果把普通动图素材当作人脸动图使用，则会出现动图不显示的情况，要使用人脸动图，必须先设置 rotation，通过`setRotation(int)`实现。 添加普通动图不能使用该接口，而需要使用`addPaster(EffectPaster, float, float, float, float, float, boolean)`
      Parameters:
        `effectPaster` -
      Returns:
        成功返回0，失败返回对应的ErrorCode
      See Also:
        `EffectPaster`

    - #### addPaster

          @Deprecated
          int addPaster(EffectPaster effectPaster,
                                    float sx,
                                    float sy,
                                    float sw,
                                    float sh,
                                    float rotation,
                                    boolean flip)

      Deprecated. v3.27.0 废弃，请使用`getPasterManager()`代替
      添加普通动图，人脸动图可以当作普通动图，但是普通动图不能当作人脸动图 注意 `setEffectView(float, float, float, float, EffectBase)`的执行效果会和此函数的执行效果进行叠加
      Parameters:
        `effectPaster` -
        `sx` - 位置信息的x坐标（相对输出大小的比例值）
        `sy` - 位置信息的y坐标（相对输出大小的比例值）
        `sw` - 尺寸信息的宽度（相对输出大小的比例值）
        `sh` - 尺寸信息的高度（相对输出大小的比例值）
        `rotation` - 弧度
        `flip` - 是否反转
      Returns:
        成功返回0，失败返回对应的ErrorCode
      See Also:
        `setEffectView(float, float, float, float, EffectBase)`

    - #### removePaster

          @Deprecated
          void removePaster(EffectPaster effectPaster)

      Deprecated. v3.27.0 废弃，请使用`getPasterManager()`代替
      删除动图素材，普通动图和人脸动图都通过该接口移除
      Parameters:
        `effectPaster` -

    - #### addImage

          @Deprecated
          int addImage(EffectImage effctImage)

      Deprecated. v3.27.0 废弃，请使用`getPasterManager()`代替
      添加水印素材,如果需要使用文字水印，可以通过Bitmap工具把文字转成水印
      Parameters:
        `effctImage` -
      Returns:
        成功返回0，失败返回对应的ErrorCode

    - #### removeImage

          @Deprecated
          void removeImage(EffectImage effctImage)

      Deprecated. v3.27.0 废弃，请使用`getPasterManager()`代替
      删除水印素材
      Parameters:
        `effctImage` -

    - #### getPasterManager

          AliyunIRecordPasterManager getPasterManager()

      获取贴图管理器

      v3.27.0新增

      See Also:
        `AliyunIRecordPasterManager`

    - #### applyFilter

          int applyFilter(EffectFilter effectFilter)

      设置滤镜效果
      Parameters:
        `effectFilter` - 设置为null表示移除滤镜效果
      Returns:
        成功返回0，失败返回对应的Error Code

    - #### removeFilter

          int removeFilter()

      v3.27.0 新增 移除滤镜效果

      Returns:
        成功返回0，失败返回对应的Error Code

    - #### applyAnimationFilter

          int applyAnimationFilter(EffectFilter effectFilter)

      设置动效滤镜，将滤镜资源的目录填入到`EffectFilter`中，或者通过`EffectFilter.Builder`来 构建
      Parameters:
        `effectFilter` -
      Returns:
        成功返回0，失败返回对应的Error Code

    - #### updateAnimationFilter

          int updateAnimationFilter(EffectFilter effectFilter)

      更新动效滤镜，将滤镜资源的目录填入到`EffectFilter`中，或者通过`EffectFilter.Builder`来 构建
      Parameters:
        `effectFilter` -
      Returns:
        成功返回0，失败返回对应的Error Code

    - #### removeAnimationFilter

          void removeAnimationFilter(EffectFilter effctFilter)

      删除动效滤镜
      Parameters:
        `effctFilter` -

    - #### getCameraCount

          int getCameraCount()

      获取摄像头数量
      Returns:
        设备可用摄像头数量

    - #### setCameraParam

          void setCameraParam(CameraParam cameraParam)

      设置摄像头预览参数
      Parameters:
        `cameraParam` -
      See Also:
        `CameraParam`

    - #### switchCamera

          int switchCamera()

      切换摄像头
      Returns:
        返回摄像头ID

    - #### switchLight

          FlashType switchLight()

      切换闪光灯
      Returns:
        当前闪光灯模式
      See Also:
        `FlashType.AUTO`, `FlashType.OFF`, `FlashType.ON`

    - #### setLight

          boolean setLight(FlashType flashType)

      设置闪光灯模式
      Parameters:
        `flashType` -
      Returns:
        true：成功，false：失败

    - #### setZoom

          int setZoom(float rate)

      设置摄像头缩放比例
      Parameters:
        `rate` -

    - #### setExposureCompensationRatio

          int setExposureCompensationRatio(float value)

      设置曝光度比例
      Parameters:
        `value` -

    - #### setFocusMode

          void setFocusMode(int mode)

      设置聚焦模式
      Parameters:
        `mode` -
      See Also:
        `CameraParam.FOCUS_MODE_CONTINUE`, `CameraParam.FOCUS_MODE_AUTO`

    - #### setRate

          int setRate(float rate)

      设置录制速率
      Parameters:
        `rate` - 范围[0.5 - 2.0]

    - #### setFocus

          void setFocus(float xRatio,
                        float yRatio)

      设置对焦点，仅当`setFocusMode(int)` 的参数为`CameraParam.FOCUS_MODE_AUTO`时有效
      Parameters:
        `xRatio` - 坐标点x方向上相对预览显示窗口（并非屏幕大小）的比例值
        `yRatio` - 坐标点y方向上相对预览显示窗口（并非屏幕大小）的比例值

    - #### getBeautyLevel

          int getBeautyLevel()

      获取当前美颜度
      Returns:
        当前的美颜度级别

    - #### setBeautyLevel

          void setBeautyLevel(int level)

      设置美颜度
      Parameters:
        `level` - [0, 100]， 0表示没有美颜，100表示最大美颜度

    - #### setBeautyStatus

          @Deprecated
          void setBeautyStatus(boolean on)

      Deprecated. v3.27.0 废弃,请使用`setBeautyLevel(int)`代替
      设置美颜开/关
      Parameters:
        `on` - true：开， false：关

    - #### startRecording

          int startRecording()

      开始录制

    - #### stopRecording

          int stopRecording()

      停止录制

    - #### finishRecording

          int finishRecording()

      结束录制合成视频

    - #### setMixAudioSource

          void setMixAudioSource(MixAudioSourceType type)

      设置最终合成视频的音轨类型 v3.18.0新增
      Parameters:
        `type` - 合成视频的音轨类型
      See Also:
        `com.aliyun.svideosdk.mixrecorder.MixAudioSourceType}`

    - #### setMixAudioAecType

          void setMixAudioAecType(MixAudioAecType type)

      合拍开启回声消除 v3.23.0 新增
      Parameters:
        `type` - 回声消除类型，默认关闭
      See Also:
        `com.aliyun.svideosdk.mixrecorder.MixAudioAecType}`

    - #### setMixAudioWeight

          void setMixAudioWeight(int originAudioWeight,
                                 int recorderAudioWeight)

      v3.19.0 新增 设置混音时的音量大小，当`MixAudioSourceType.MIX` 生效
      Parameters:
        `originAudioWeight` - 参考音频声音大小 [0~100]
        `recorderAudioWeight` - 录制音频声音大小 [0~100]

    - #### setEffectView

          @Deprecated
          int setEffectView(float xRatio,
                                        float yRatio,
                                        float widthRatio,
                                        float heightRatio,
                                        EffectBase effectBase)

      Deprecated. v3.27.0 废弃，请使用`getPasterManager()`代替
      设置特效信息（位置，大小）
      Parameters:
        `xRatio` - 位置信息的x坐标（比例值）
        `yRatio` - 位置信息的y坐标（比例值）
        `widthRatio` - 大小信息的宽度（比例值）
        `heightRatio` - 大小信息的高度（比例值）
        `effectBase` - 对应的特效素材

    - #### setOnRecordCallback

          void setOnRecordCallback(OnRecordCallback callback)

      Parameters:
        `callback` -

    - #### setOnFrameCallback

          void setOnFrameCallback(OnFrameCallback callback)

      设置采集帧回调，每采集一帧数据都通过该回调返回帧数据
      Parameters:
        `callback` -
      See Also:
        `OnFrameCallback`

    - #### setOnChoosePictureSizeCallBack

          void setOnChoosePictureSizeCallBack(OnChoosePictureSizeCallback callback)

      设置拍照分辨率回调
      Parameters:
        `callback` -

    - #### setOnAudioCallback

          void setOnAudioCallback(OnAudioCallBack callback)

      回调pcm音频数据，音频数据的格式为单通道，16位，采样率为44.1khz，
      Parameters:
        `callback` -

    - #### setFaces

          int setFaces(float[][] faces)

      设置人脸坐标点，而二维组每个元素，代表一张脸的6个特征点。
      Parameters:
        `faces` - nx6的二维数组，6表示6个特征点 point[i][0] => LEFT_EYE_X 左眼X point[i][1] => LEFT_EYE_Y 左眼Y point[i][2] => RIGHT_EYE_X 右眼X point[i][3] => RIGHT_EYE_Y 右眼Y point[i][4] => MOUTH_X 嘴部X point[i][5] => MOUTH_Y 嘴部Y 表示第i张脸的6个特征点。
      Returns:

    - #### setRotation

          void setRotation(int rotation)

      设置传感器的角度值，如果传感器返回的角度值不是0，90，180，270四个值中的，需要根据范围来确定

               private int getSensorRotation() {
                    int orientation = orientationDetector.getOrientation();
                    int rotation = 90;
                    if (orientation >= 45 && orientation < 135) {
                        rotation = 180;
                    }
                    if (orientation >= 135 && orientation < 225) {
                        rotation = 270;
                    }
                    if (orientation >= 225 && orientation < 315) {
                        rotation = 0;
                    }
                    if (mCameraType == CameraType.FRONT) {
                        if (rotation != 0) {
                            rotation = 360 - rotation;
                        }
                    }
                    return rotation;
                }

      Parameters:
        `rotation` - Do not use this method to control the angle when performing facial recognition or recording.
      See Also:
        `setFaceDetectRotation(int)`, `setRecordRotation(int)`

    - #### setFaceDetectRotation

          void setFaceDetectRotation(int rotation)

      设置单独的人脸识别角度,如果使用本接口，请不要使用setRotation
      See Also:
        `setRecordRotation(int)`, `setRotation(int)`

    - #### setRecordRotation

          void setRecordRotation(int rotation)

      设置单独的录制视频角度,如果使用本接口，请不要使用setRotation 如果需要根据传感器角度来设置录制角度,需要加上计算

                if (rotation == 90 || rotation == 270) {
                    rotation = (rotation + 90) % 360;
                    if (mAliyunCamera.getCameraInfo().facing == CameraInfo.CAMERA_FACING_BACK) {
                        rotation += 180;
                        rotation %= 360;
                    }
                } else if (rotation == 0 || rotation == 180) {
                    rotation = (rotation + 270) % 360;
                }

      See Also:
        `setRotation(int)`, `setFaceDetectRotation(int)`

    - #### setOnTextureIdCallback

          void setOnTextureIdCallback(OnTextureIdCallback callback)

      设置纹理ID回调
      Parameters:
        `callback` -
      See Also:
        `OnTextureIdCallback`

    - #### setOnFaceDetectInfoListener

          void setOnFaceDetectInfoListener(OnFaceDetectInfoListener listener)

      设置人脸检测信息变化的回调，当人脸检测信息发生改变时将触发 `OnFaceDetectInfoListener.onFaceInfoChange(FaceDetectInfo faceDetectInfo)`
      Parameters:
        `listener` -

    - #### getCurrentExposureCompensationRatio

          float getCurrentExposureCompensationRatio()

      获取当前曝光度的比例值
      Returns:
        返回当前设置的曝光度比例值

    - #### needFaceTrackInternal

          void needFaceTrackInternal(boolean need)

      是否需要开启内置人脸识别
      Parameters:
        `need` -

    - #### setFaceTrackInternalModelPath

          int setFaceTrackInternalModelPath(java.lang.String path)

      设置人脸识别模型文件夹路径 这里必须是包含模型文件的目录路径，模型文件的文件名不能修改
      Parameters:
        `path` -
      Returns:
        `AliyunErrorCode.OK`-成功 `AliyunErrorCode.ERROR_INVALID_ARGUMENTS`-失败，文件无效（文件路径错误，或者文件损坏/不完整）

    - #### setFaceTrackInternalMaxFaceCount

          void setFaceTrackInternalMaxFaceCount(int maxFaceCount)

      设置内置人脸识别的最大识别数，最大为3个，大于3个为3个
      Parameters:
        `maxFaceCount` -

    - #### setMixMediaInfo

          int setMixMediaInfo(AliyunMixMediaInfoParam inputMediaInfo,
                              MediaInfo outputInfo)

      设置合拍输入输出信息
      Returns:

    - #### deleteLastPart

          int deleteLastPart()

      删除上一个片段
      Returns:

    - #### cancelFinishing

          int cancelFinishing()

      取消合成视频
      Returns:

    - #### release

          void release()

      销毁并释放资源

    - #### setBackgroundColor

          void setBackgroundColor(int color)

      设置合成窗口非填充模式下的背景颜色 v3.19.0 新增
      Parameters:
        `color` -

    - #### setBackgroundImage

          void setBackgroundImage(Bitmap bitmap,
                                  int displayMode)

      设置合成窗口非填充模式下的背景图片,assets, resource文件可以使用这个接口 v3.19.0 新增
      Parameters:
        `bitmap` -
        `displayMode` - 0：裁切 1：填充 2：拉伸

    - #### setRecordBorderParam

          void setRecordBorderParam(AliyunMixBorderParam param)

      设置录制视频的边框圆角参数 v3.21.0 新增
      Parameters:
        `param` - 录制视频的边框参数 `AliyunMixBorderParam`

    - #### setMixedBorderParam

          void setMixedBorderParam(AliyunMixBorderParam param)

      设置被合拍视频的边框圆角参数 v3.21.0 新增
      Parameters:
        `param` - 录制视频的边框参数 `AliyunMixBorderParam`

    - #### setIsAutoClearClipVideos

          void setIsAutoClearClipVideos(boolean isAutoClear)

      Added in v3.23.0, set whether to clear the clip video files, default is false
      Parameters:
        `isAutoClear` -